IMPORTANT ANNOUNCEMENT: Mandatory update!

As we announced, we launched CF Geo Plugin version 8.3.0!

Why is it important to update to the new version 8.3.0 as soon as possible?

For the last 7 years, we have been developing our business and learning a lot from your feedback. This allowed us to expand our API, expand plugin functionality and create something new and effective together.

After version 8.3.0, our API services are connected to new cloud servers that enable instant information, but also much greater security, precision and provide completely new geo information.

Old servers and old API is based on outdated technology that was maintained, and because of that, sometimes we have some downtime or wrong geo information. That is why we decided to shut down the old CF Geo Plugin servers on the first of September and it is very important that everyone switch to the new ones, so you must do the update.

What if I’m still using version 7.13.20 or higher?

This is a very old version of the plugin and it would be great for you to upgrade.

But if you are forced to depend on this version, we have prepared support and update to version 7.13.21, which you have to download manually and install manually.

Download deprecated version of CF Geo Plugin 7.13.21 here.

Are you worried about the new update?

Since there is always a small possibility of problems, here are some tips on how to solve them yourself:

  • We don’t need to tell you how important it is to make a backup before updating.
    Before updating any plugin or WordPress core, a backup is mandatory. If any problem occurs, you can easily restore the site to its previous state. But before restoring, collect error information and report to plugin authors.
  • After the update, if you have problems with some of the functionality, just disable the plugin and enable it again.
    This is the most common solution to the problem because WordPress sometimes caches old data and does not load new data.
  • Review and save plugin settings again.
    Sometimes it is necessary to review the plugin settings because we are constantly adding new settings or removing outdated ones and because of this it happens that you have to re-record your settings in order for the plugin to work properly.
  • If you have a problem with a previously active license, try reactivating.
    And if our API sends unlimited information due to previous activation, the plugin sometimes needs to be “reminded” that it is active. This error is common with many other plugins during update.
  • Contact technical support
    And if this is often misused, be responsible and contact support only when all the options above don’t work properly.

We hope you will be satisfied with the new version of the plugin, we try to take all your ideas, remarks and complaints and provide the best support that meets most common needs.

About the author

Login

Lost your password? Register

Register

Your personal data will be used to support your experience throughout this website, to manage access to your account, and for other purposes described in our privacy policy.

Lost your password? Login